zlartg.f(3)

NAME
zlartg.f -

SYNOPSIS

  Functions/Subroutines
subroutine zlartg (F, G, CS, SN, R)
ZLARTG generates a plane rotation with real cosine and complex sine.

Function/Subroutine Documentation

  subroutine zlartg (complex*16F, complex*16G, double precisionCS, complex*16SN, complex*16R)

Purpose:

     ZLARTG generates a plane rotation so that
        [  CS  SN  ]     [ F ]     [ R ]
        [  __      ]  .  [   ]  =  [   ]   where CS**2 + |SN|**2 = 1.
        [ -SN  CS  ]     [ G ]     [ 0 ]
     This is a faster version of the BLAS1 routine ZROTG, except for
     the following differences:
        F and G are unchanged on return.
        If G=0, then CS=1 and SN=0.
        If F=0, then CS=0 and SN is chosen so that R is real.

Parameters:
    F

              F is COMPLEX*16
              The first component of vector to be rotated.

    G

              G is COMPLEX*16
              The second component of vector to be rotated.

    CS

              CS is DOUBLE PRECISION
              The cosine of the rotation.

    SN

              SN is COMPLEX*16
              The sine of the rotation.

    R

              R is COMPLEX*16
              The nonzero component of the rotated vector.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2013

Further Details:

      3-5-96 - Modified with a new algorithm by W. Kahan and J. Demmel
      This version has a few statements commented out for thread safety
      (machine parameters are computed on each entry). 10 feb 03, SJH.

Definition at line 104 of file zlartg.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.